# In case of update, update also hyphen-lv and mythes-lv, it's the same source

%define languageenglazy Latvian
%define languagecode    lv
%define lc_ctype        lv_LV

Name:           hunspell-%{languagecode}
Version:        0.9.4
Release:        %mkrel 10
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://dict.dv.lv/
Source0:        http://dict.dv.lv/download/lv_LV-%{version}.oxt

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-lv
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
for i in README_lv_LV.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-4 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done
chmod -x *.dic

%install
install -D -m 0644 -p lv_LV.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p lv_LV.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_lv_LV.txt license.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.9.4-10.mga4
+ Revision: 505766
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.4-9.mga3
+ Revision: 353546
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.9.4-8.mga3
+ Revision: 325594
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.9.4-7.mga2
+ Revision: 224733
- add requirement on locales (mga#4632)

* Tue Feb 14 2012 kamil <kamil> 0.9.4-6.mga2
+ Revision: 208564
- adapt .spec to the current policies

* Tue Feb 14 2012 kamil <kamil> 0.9.4-5.mga2
+ Revision: 208560
- exclude from this spec hyphen-lv and mythes-lv

* Tue Feb 14 2012 kamil <kamil> 0.9.4-4.mga2
+ Revision: 208543
- rename package to hunspell-lv
- rename package to hunspell-lv

* Tue Feb 14 2012 kamil <kamil> 0.9.4-3.mga2
+ Revision: 208536
- imported package openoffice-lv


* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Mar 18 2011 Caolán McNamara <caolanm@redhat.com> - 0.9.4-1
- latest version

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Sep 05 2010 Caolán McNamara <caolanm@redhat.com> - 0.9.3-1
- latest version

* Tue Aug 17 2010 Caolán McNamara <caolanm@redhat.com> - 0.9.2-1
- latest version

* Thu Jul 08 2010 Caolán McNamara <caolanm@redhat.com> - 0.9.1-2
- add licence.txt to all subpackages

* Sun Apr 25 2010 Caolán McNamara <caolanm@redhat.com> - 0.9.1-1
- latest version

* Mon Apr 19 2010 Caolán McNamara <caolanm@redhat.com> - 0.9.0-1
- latest version

* Sun Apr 04 2010 Caolán McNamara <caolanm@redhat.com> - 0.8.2-2
- mythes now owns /usr/share/mythes

* Sat Sep 19 2009 Caolán McNamara <caolanm@redhat.com> - 0.8.2-1
- latest version

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-0.3.b1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolán McNamara <caolanm@redhat.com> - 0.8-0.2.b1
- tidy spec

* Mon May 11 2009 Caolán McNamara <caolanm@redhat.com> - 0.8-0.1.b1
- latest version

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Caolán McNamara <caolanm@redhat.com> - 0.7.4-1
- latest version

* Sat Sep 20 2008 Caolán McNamara <caolanm@redhat.com> - 0.7.3-1
- initial version
